# GstRtspdefs

Provides common defines for the RTSP library.

## Functions

### gst_rtsp_find_header_field

    GstRTSPHeaderField
    gst_rtsp_find_header_field (const gchar* header)

Convert header to a GstRTSPHeaderField.

Parameters:

`header` –

a header string

Returns –

a GstRTSPHeaderField for header or GST_RTSP_HDR_INVALID if the header field is unknown.

### GstRtsp.prototype.rtsp_find_header_field

    function GstRtsp.prototype.rtsp_find_header_field(header: String): {
        // javascript wrapper for 'gst_rtsp_find_header_field'
    }

Convert header to a GstRtsp.RTSPHeaderField.

Parameters:

`header` (String) –

a header string

Returns (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField for header or GstRtsp.RTSPHeaderField.INVALID if the header field is unknown.

### GstRtsp.rtsp_find_header_field

    def GstRtsp.rtsp_find_header_field (header):
        #python wrapper for 'gst_rtsp_find_header_field'

Convert header to a GstRtsp.RTSPHeaderField.

Parameters:

`header` (str) –

a header string

Returns (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField for header or GstRtsp.RTSPHeaderField.INVALID if the header field is unknown.

### gst_rtsp_find_method

    GstRTSPMethod
    gst_rtsp_find_method (const gchar* method)

Convert method to a GstRTSPMethod.

Parameters:

`method` –

a method

Returns –

a GstRTSPMethod for method or GST_RTSP_INVALID if the method is unknown.

### GstRtsp.prototype.rtsp_find_method

    function GstRtsp.prototype.rtsp_find_method(method: String): {
        // javascript wrapper for 'gst_rtsp_find_method'
    }

Convert method to a GstRtsp.RTSPMethod.

Parameters:

`method` (String) –

a method

Returns (GstRtsp.RTSPMethod) –

a GstRtsp.RTSPMethod for method or GstRtsp.RTSPMethod.INVALID if the method is unknown.

### GstRtsp.rtsp_find_method

    def GstRtsp.rtsp_find_method (method):
        #python wrapper for 'gst_rtsp_find_method'

Convert method to a GstRtsp.RTSPMethod.

Parameters:

`method` (str) –

a method

Returns (GstRtsp.RTSPMethod) –

a GstRtsp.RTSPMethod for method or GstRtsp.RTSPMethod.INVALID if the method is unknown.

### gst_rtsp_generate_digest_auth_response

    gchar*
    gst_rtsp_generate_digest_auth_response (const gchar* algorithm,
                                            const gchar* method,
                                            const gchar* realm,
                                            const gchar* username,
                                            const gchar* password,
                                            const gchar* uri,
                                            const gchar* nonce)

Calculates the digest auth response from the values given by the server and the username and password. See RFC2069 for details.

Currently only supported algorithm "md5".

Parameters:

`algorithm` ( [nullable]) –

Hash algorithm to use, or NULL for MD5

`method` –

Request method, e.g. PLAY

`realm` –

Realm

`username` –

Username

`password` –

Password

`uri` –

Original request URI

`nonce` –

Nonce

Returns ( [nullable]) –

Authentication response or NULL if unsupported

Since : 1.12

### GstRtsp.prototype.rtsp_generate_digest_auth_response

    function GstRtsp.prototype.rtsp_generate_digest_auth_response(algorithm: String, method: String, realm: String, username: String, password: String, uri: String, nonce: String): {
        // javascript wrapper for 'gst_rtsp_generate_digest_auth_response'
    }

Calculates the digest auth response from the values given by the server and the username and password. See RFC2069 for details.

Currently only supported algorithm "md5".

Parameters:

`algorithm` (String) –

Hash algorithm to use, or NULL for MD5

`method` (String) –

Request method, e.g. PLAY

`realm` (String) –

Realm

`username` (String) –

Username

`password` (String) –

Password

`uri` (String) –

Original request URI

`nonce` (String) –

Nonce

Returns (String) –

Authentication response or NULL if unsupported

Since : 1.12

### GstRtsp.rtsp_generate_digest_auth_response

    def GstRtsp.rtsp_generate_digest_auth_response (algorithm, method, realm, username, password, uri, nonce):
        #python wrapper for 'gst_rtsp_generate_digest_auth_response'

Calculates the digest auth response from the values given by the server and the username and password. See RFC2069 for details.

Currently only supported algorithm "md5".

Parameters:

`algorithm` (str) –

Hash algorithm to use, or NULL for MD5

`method` (str) –

Request method, e.g. PLAY

`realm` (str) –

Realm

`username` (str) –

Username

`password` (str) –

Password

`uri` (str) –

Original request URI

`nonce` (str) –

Nonce

Returns (str) –

Authentication response or NULL if unsupported

Since : 1.12

### gst_rtsp_generate_digest_auth_response_from_md5

    gchar*
    gst_rtsp_generate_digest_auth_response_from_md5 (const gchar* algorithm,
                                                     const gchar* method,
                                                     const gchar* md5,
                                                     const gchar* uri,
                                                     const gchar* nonce)

Calculates the digest auth response from the values given by the server and the md5sum. See RFC2069 for details.

This function is useful when the passwords are not stored in clear text, but instead in the same format as the .htdigest file.

Currently only supported algorithm "md5".

Parameters:

`algorithm` ( [nullable]) –

Hash algorithm to use, or NULL for MD5

`method` –

Request method, e.g. PLAY

`md5` –

The md5 sum of username:realm:password

`uri` –

Original request URI

`nonce` –

Nonce

Returns ( [nullable]) –

Authentication response or NULL if unsupported

Since : 1.16

### GstRtsp.prototype.rtsp_generate_digest_auth_response_from_md5

    function GstRtsp.prototype.rtsp_generate_digest_auth_response_from_md5(algorithm: String, method: String, md5: String, uri: String, nonce: String): {
        // javascript wrapper for 'gst_rtsp_generate_digest_auth_response_from_md5'
    }

Calculates the digest auth response from the values given by the server and the md5sum. See RFC2069 for details.

This function is useful when the passwords are not stored in clear text, but instead in the same format as the .htdigest file.

Currently only supported algorithm "md5".

Parameters:

`algorithm` (String) –

Hash algorithm to use, or NULL for MD5

`method` (String) –

Request method, e.g. PLAY

`md5` (String) –

The md5 sum of username:realm:password

`uri` (String) –

Original request URI

`nonce` (String) –

Nonce

Returns (String) –

Authentication response or NULL if unsupported

Since : 1.16

### GstRtsp.rtsp_generate_digest_auth_response_from_md5

    def GstRtsp.rtsp_generate_digest_auth_response_from_md5 (algorithm, method, md5, uri, nonce):
        #python wrapper for 'gst_rtsp_generate_digest_auth_response_from_md5'

Calculates the digest auth response from the values given by the server and the md5sum. See RFC2069 for details.

This function is useful when the passwords are not stored in clear text, but instead in the same format as the .htdigest file.

Currently only supported algorithm "md5".

Parameters:

`algorithm` (str) –

Hash algorithm to use, or NULL for MD5

`method` (str) –

Request method, e.g. PLAY

`md5` (str) –

The md5 sum of username:realm:password

`uri` (str) –

Original request URI

`nonce` (str) –

Nonce

Returns (str) –

Authentication response or NULL if unsupported

Since : 1.16

### gst_rtsp_header_allow_multiple

    gboolean
    gst_rtsp_header_allow_multiple (GstRTSPHeaderField field)

Check whether field may appear multiple times in a message.

Parameters:

`field` –

a GstRTSPHeaderField

Returns –

TRUE if multiple headers are allowed.

### GstRtsp.prototype.rtsp_header_allow_multiple

    function GstRtsp.prototype.rtsp_header_allow_multiple(field: GstRtsp.RTSPHeaderField): {
        // javascript wrapper for 'gst_rtsp_header_allow_multiple'
    }

Check whether field may appear multiple times in a message.

Parameters:

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

Returns (Number) –

TRUE if multiple headers are allowed.

### GstRtsp.rtsp_header_allow_multiple

    def GstRtsp.rtsp_header_allow_multiple (field):
        #python wrapper for 'gst_rtsp_header_allow_multiple'

Check whether field may appear multiple times in a message.

Parameters:

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

Returns (bool) –

TRUE if multiple headers are allowed.

### gst_rtsp_header_as_text

    const gchar*
    gst_rtsp_header_as_text (GstRTSPHeaderField field)

Convert field to a string.

Parameters:

`field` –

a GstRTSPHeaderField

Returns ( [nullable]) –

a string representation of field.

### GstRtsp.prototype.rtsp_header_as_text

    function GstRtsp.prototype.rtsp_header_as_text(field: GstRtsp.RTSPHeaderField): {
        // javascript wrapper for 'gst_rtsp_header_as_text'
    }

Convert field to a string.

Parameters:

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

Returns (String) –

a string representation of field.

### GstRtsp.rtsp_header_as_text

    def GstRtsp.rtsp_header_as_text (field):
        #python wrapper for 'gst_rtsp_header_as_text'

Convert field to a string.

Parameters:

`field` (GstRtsp.RTSPHeaderField) –

a GstRtsp.RTSPHeaderField

Returns (str) –

a string representation of field.

### gst_rtsp_method_as_text

    const gchar*
    gst_rtsp_method_as_text (GstRTSPMethod method)

Convert method to a string.

Parameters:

`method` –

a GstRTSPMethod

Returns ( [nullable]) –

a string representation of method.

### GstRtsp.prototype.rtsp_method_as_text

    function GstRtsp.prototype.rtsp_method_as_text(method: GstRtsp.RTSPMethod): {
        // javascript wrapper for 'gst_rtsp_method_as_text'
    }

Convert method to a string.

Parameters:

`method` (GstRtsp.RTSPMethod) –

a GstRtsp.RTSPMethod

Returns (String) –

a string representation of method.

### GstRtsp.rtsp_method_as_text

    def GstRtsp.rtsp_method_as_text (method):
        #python wrapper for 'gst_rtsp_method_as_text'

Convert method to a string.

Parameters:

`method` (GstRtsp.RTSPMethod) –

a GstRtsp.RTSPMethod

Returns (str) –

a string representation of method.

### gst_rtsp_options_as_text

    gchar*
    gst_rtsp_options_as_text (GstRTSPMethod options)

Convert options to a string.

Parameters:

`options` –

one or more GstRTSPMethod

Returns –

a new string of options. g_free after usage.

### GstRtsp.prototype.rtsp_options_as_text

    function GstRtsp.prototype.rtsp_options_as_text(options: GstRtsp.RTSPMethod): {
        // javascript wrapper for 'gst_rtsp_options_as_text'
    }

Convert options to a string.

Parameters:

`options` (GstRtsp.RTSPMethod) –

one or more GstRtsp.RTSPMethod

Returns (String) –

a new string of options. GLib.prototype.free after usage.

### GstRtsp.rtsp_options_as_text

    def GstRtsp.rtsp_options_as_text (options):
        #python wrapper for 'gst_rtsp_options_as_text'

Convert options to a string.

Parameters:

`options` (GstRtsp.RTSPMethod) –

one or more GstRtsp.RTSPMethod

Returns (str) –

a new string of options. GLib.free after usage.

### gst_rtsp_options_from_text

    GstRTSPMethod
    gst_rtsp_options_from_text (const gchar* options)

Convert the comma separated list options to a GstRTSPMethod bitwise or of methods. This functions is the reverse of gst_rtsp_options_as_text.

Parameters:

`options` –

a comma separated list of options

Returns –

a GstRTSPMethod

Since : 1.2

### GstRtsp.prototype.rtsp_options_from_text

    function GstRtsp.prototype.rtsp_options_from_text(options: String): {
        // javascript wrapper for 'gst_rtsp_options_from_text'
    }

Convert the comma separated list options to a GstRtsp.RTSPMethod bitwise or of methods. This functions is the reverse of GstRtsp.prototype.rtsp_options_as_text.

Parameters:

`options` (String) –

a comma separated list of options

Returns (GstRtsp.RTSPMethod) –

a GstRtsp.RTSPMethod

Since : 1.2

### GstRtsp.rtsp_options_from_text

    def GstRtsp.rtsp_options_from_text (options):
        #python wrapper for 'gst_rtsp_options_from_text'

Convert the comma separated list options to a GstRtsp.RTSPMethod bitwise or of methods. This functions is the reverse of GstRtsp.rtsp_options_as_text.

Parameters:

`options` (str) –

a comma separated list of options

Returns (GstRtsp.RTSPMethod) –

a GstRtsp.RTSPMethod

Since : 1.2

### gst_rtsp_status_as_text

    const gchar*
    gst_rtsp_status_as_text (GstRTSPStatusCode code)

Convert code to a string.

Parameters:

`code` –

a GstRTSPStatusCode

Returns –

a string representation of code.

### GstRtsp.prototype.rtsp_status_as_text

    function GstRtsp.prototype.rtsp_status_as_text(code: GstRtsp.RTSPStatusCode): {
        // javascript wrapper for 'gst_rtsp_status_as_text'
    }

Convert code to a string.

Parameters:

`code` (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode

Returns (String) –

a string representation of code.

### GstRtsp.rtsp_status_as_text

    def GstRtsp.rtsp_status_as_text (code):
        #python wrapper for 'gst_rtsp_status_as_text'

Convert code to a string.

Parameters:

`code` (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode

Returns (str) –

a string representation of code.

### gst_rtsp_strresult

    gchar*
    gst_rtsp_strresult (GstRTSPResult result)

Convert result in a human readable string.

Parameters:

`result` –

a GstRTSPResult

Returns –

a newly allocated string. g_free after usage.

### GstRtsp.prototype.rtsp_strresult

    function GstRtsp.prototype.rtsp_strresult(result: GstRtsp.RTSPResult): {
        // javascript wrapper for 'gst_rtsp_strresult'
    }

Convert result in a human readable string.

Parameters:

`result` (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult

Returns (String) –

a newly allocated string. GLib.prototype.free after usage.

### GstRtsp.rtsp_strresult

    def GstRtsp.rtsp_strresult (result):
        #python wrapper for 'gst_rtsp_strresult'

Convert result in a human readable string.

Parameters:

`result` (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult

Returns (str) –

a newly allocated string. GLib.free after usage.

### gst_rtsp_version_as_text

    const gchar*
    gst_rtsp_version_as_text (GstRTSPVersion version)

Convert version to a string.

Parameters:

`version` –

a GstRTSPVersion

Returns –

a string representation of version.

### GstRtsp.prototype.rtsp_version_as_text

    function GstRtsp.prototype.rtsp_version_as_text(version: GstRtsp.RTSPVersion): {
        // javascript wrapper for 'gst_rtsp_version_as_text'
    }

Convert version to a string.

Parameters:

`version` (GstRtsp.RTSPVersion) –

a GstRtsp.RTSPVersion

Returns (String) –

a string representation of version.

### GstRtsp.rtsp_version_as_text

    def GstRtsp.rtsp_version_as_text (version):
        #python wrapper for 'gst_rtsp_version_as_text'

Convert version to a string.

Parameters:

`version` (GstRtsp.RTSPVersion) –

a GstRtsp.RTSPVersion

Returns (str) –

a string representation of version.

## Function Macros

### GST_RTSP_CHECK

    #define GST_RTSP_CHECK(stmt, label)  \
    G_STMT_START { \
      if (G_UNLIKELY ((res = (stmt)) != GST_RTSP_OK)) \
        goto label; \
    } G_STMT_END

Macro that checks the return value of stmt and jumps to label when it does not equal GST_RTSP_OK.

Parameters:

`stmt` –

a statement

`label` –

a label

## Enumerations

### GstRTSPAuthMethod

Authentication methods, ordered by strength

##### Members

`GST_RTSP_AUTH_NONE` (0) –

no authentication

`GST_RTSP_AUTH_BASIC` (1) –

basic authentication

`GST_RTSP_AUTH_DIGEST` (2) –

digest authentication

### GstRtsp.RTSPAuthMethod

Authentication methods, ordered by strength

##### Members

`GstRtsp.RTSPAuthMethod.NONE` (0) –

no authentication

`GstRtsp.RTSPAuthMethod.BASIC` (1) –

basic authentication

`GstRtsp.RTSPAuthMethod.DIGEST` (2) –

digest authentication

### GstRtsp.RTSPAuthMethod

Authentication methods, ordered by strength

##### Members

`GstRtsp.RTSPAuthMethod.NONE` (0) –

no authentication

`GstRtsp.RTSPAuthMethod.BASIC` (1) –

basic authentication

`GstRtsp.RTSPAuthMethod.DIGEST` (2) –

digest authentication

### GstRTSPEvent

The possible events for the connection.

##### Members

`GST_RTSP_EV_READ` (1) –

connection is readable

`GST_RTSP_EV_WRITE` (2) –

connection is writable

### GstRtsp.RTSPEvent

The possible events for the connection.

##### Members

`GstRtsp.RTSPEvent.READ` (1) –

connection is readable

`GstRtsp.RTSPEvent.WRITE` (2) –

connection is writable

### GstRtsp.RTSPEvent

The possible events for the connection.

##### Members

`GstRtsp.RTSPEvent.READ` (1) –

connection is readable

`GstRtsp.RTSPEvent.WRITE` (2) –

connection is writable

### GstRTSPFamily

The possible network families.

##### Members

`GST_RTSP_FAM_NONE` (0) –

unknown network family

`GST_RTSP_FAM_INET` (1) –

internet

`GST_RTSP_FAM_INET6` (2) –

internet V6

### GstRtsp.RTSPFamily

The possible network families.

##### Members

`GstRtsp.RTSPFamily.NONE` (0) –

unknown network family

`GstRtsp.RTSPFamily.INET` (1) –

internet

`GstRtsp.RTSPFamily.INET6` (2) –

internet V6

### GstRtsp.RTSPFamily

The possible network families.

##### Members

`GstRtsp.RTSPFamily.NONE` (0) –

unknown network family

`GstRtsp.RTSPFamily.INET` (1) –

internet

`GstRtsp.RTSPFamily.INET6` (2) –

internet V6

### GstRTSPHeaderField

Enumeration of rtsp header fields

##### Members

`GST_RTSP_HDR_INVALID` (0) –
No description available
`GST_RTSP_HDR_ACCEPT` (1) –
No description available
`GST_RTSP_HDR_ACCEPT_ENCODING` (2) –
No description available
`GST_RTSP_HDR_ACCEPT_LANGUAGE` (3) –
No description available
`GST_RTSP_HDR_ALLOW` (4) –
No description available
`GST_RTSP_HDR_AUTHORIZATION` (5) –
No description available
`GST_RTSP_HDR_BANDWIDTH` (6) –
No description available
`GST_RTSP_HDR_BLOCKSIZE` (7) –
No description available
`GST_RTSP_HDR_CACHE_CONTROL` (8) –
No description available
`GST_RTSP_HDR_CONFERENCE` (9) –
No description available
`GST_RTSP_HDR_CONNECTION` (10) –
No description available
`GST_RTSP_HDR_CONTENT_BASE` (11) –
No description available
`GST_RTSP_HDR_CONTENT_ENCODING` (12) –
No description available
`GST_RTSP_HDR_CONTENT_LANGUAGE` (13) –
No description available
`GST_RTSP_HDR_CONTENT_LENGTH` (14) –
No description available
`GST_RTSP_HDR_CONTENT_LOCATION` (15) –
No description available
`GST_RTSP_HDR_CONTENT_TYPE` (16) –
No description available
`GST_RTSP_HDR_CSEQ` (17) –
No description available
`GST_RTSP_HDR_DATE` (18) –
No description available
`GST_RTSP_HDR_EXPIRES` (19) –
No description available
`GST_RTSP_HDR_FROM` (20) –
No description available
`GST_RTSP_HDR_IF_MODIFIED_SINCE` (21) –
No description available
`GST_RTSP_HDR_LAST_MODIFIED` (22) –
No description available
`GST_RTSP_HDR_PROXY_AUTHENTICATE` (23) –
No description available
`GST_RTSP_HDR_PROXY_REQUIRE` (24) –
No description available
`GST_RTSP_HDR_PUBLIC` (25) –
No description available
`GST_RTSP_HDR_RANGE` (26) –
No description available
`GST_RTSP_HDR_REFERER` (27) –
No description available
`GST_RTSP_HDR_REQUIRE` (28) –
No description available
`GST_RTSP_HDR_RETRY_AFTER` (29) –
No description available
`GST_RTSP_HDR_RTP_INFO` (30) –
No description available
`GST_RTSP_HDR_SCALE` (31) –
No description available
`GST_RTSP_HDR_SESSION` (32) –
No description available
`GST_RTSP_HDR_SERVER` (33) –
No description available
`GST_RTSP_HDR_SPEED` (34) –
No description available
`GST_RTSP_HDR_TRANSPORT` (35) –
No description available
`GST_RTSP_HDR_UNSUPPORTED` (36) –
No description available
`GST_RTSP_HDR_USER_AGENT` (37) –
No description available
`GST_RTSP_HDR_VIA` (38) –
No description available
`GST_RTSP_HDR_WWW_AUTHENTICATE` (39) –
No description available
`GST_RTSP_HDR_CLIENT_CHALLENGE` (40) –
No description available
`GST_RTSP_HDR_REAL_CHALLENGE1` (41) –
No description available
`GST_RTSP_HDR_REAL_CHALLENGE2` (42) –
No description available
`GST_RTSP_HDR_REAL_CHALLENGE3` (43) –
No description available
`GST_RTSP_HDR_SUBSCRIBE` (44) –
No description available
`GST_RTSP_HDR_ALERT` (45) –
No description available
`GST_RTSP_HDR_CLIENT_ID` (46) –
No description available
`GST_RTSP_HDR_COMPANY_ID` (47) –
No description available
`GST_RTSP_HDR_GUID` (48) –
No description available
`GST_RTSP_HDR_REGION_DATA` (49) –
No description available
`GST_RTSP_HDR_MAX_ASM_WIDTH` (50) –
No description available
`GST_RTSP_HDR_LANGUAGE` (51) –
No description available
`GST_RTSP_HDR_PLAYER_START_TIME` (52) –
No description available
`GST_RTSP_HDR_LOCATION` (53) –
No description available
`GST_RTSP_HDR_ETAG` (54) –
No description available
`GST_RTSP_HDR_IF_MATCH` (55) –
No description available
`GST_RTSP_HDR_ACCEPT_CHARSET` (56) –
No description available
`GST_RTSP_HDR_SUPPORTED` (57) –
No description available
`GST_RTSP_HDR_VARY` (58) –
No description available
`GST_RTSP_HDR_X_ACCELERATE_STREAMING` (59) –
No description available
`GST_RTSP_HDR_X_ACCEPT_AUTHENT` (60) –
No description available
`GST_RTSP_HDR_X_ACCEPT_PROXY_AUTHENT` (61) –
No description available
`GST_RTSP_HDR_X_BROADCAST_ID` (62) –
No description available
`GST_RTSP_HDR_X_BURST_STREAMING` (63) –
No description available
`GST_RTSP_HDR_X_NOTICE` (64) –
No description available
`GST_RTSP_HDR_X_PLAYER_LAG_TIME` (65) –
No description available
`GST_RTSP_HDR_X_PLAYLIST` (66) –
No description available
`GST_RTSP_HDR_X_PLAYLIST_CHANGE_NOTICE` (67) –
No description available
`GST_RTSP_HDR_X_PLAYLIST_GEN_ID` (68) –
No description available
`GST_RTSP_HDR_X_PLAYLIST_SEEK_ID` (69) –
No description available
`GST_RTSP_HDR_X_PROXY_CLIENT_AGENT` (70) –
No description available
`GST_RTSP_HDR_X_PROXY_CLIENT_VERB` (71) –
No description available
`GST_RTSP_HDR_X_RECEDING_PLAYLISTCHANGE` (72) –
No description available
`GST_RTSP_HDR_X_RTP_INFO` (73) –
No description available
`GST_RTSP_HDR_X_STARTUPPROFILE` (74) –
No description available
`GST_RTSP_HDR_TIMESTAMP` (75) –
No description available
`GST_RTSP_HDR_AUTHENTICATION_INFO` (76) –
No description available
`GST_RTSP_HDR_HOST` (77) –
No description available
`GST_RTSP_HDR_PRAGMA` (78) –
No description available
`GST_RTSP_HDR_X_SERVER_IP_ADDRESS` (79) –
No description available
`GST_RTSP_HDR_X_SESSIONCOOKIE` (80) –
No description available
`GST_RTSP_HDR_RTCP_INTERVAL` (81) –
No description available
`GST_RTSP_HDR_KEYMGMT` (82) –
No description available
`GST_RTSP_HDR_PIPELINED_REQUESTS` (83) –
No description available
`GST_RTSP_HDR_MEDIA_PROPERTIES` (84) –
No description available
`GST_RTSP_HDR_SEEK_STYLE` (85) –
No description available
`GST_RTSP_HDR_ACCEPT_RANGES` (86) –
No description available
`GST_RTSP_HDR_FRAMES` (87) –
No description available
`GST_RTSP_HDR_RATE_CONTROL` (88) –
No description available
`GST_RTSP_HDR_LAST` (89) –
No description available

### GstRtsp.RTSPHeaderField

Enumeration of rtsp header fields

##### Members

`GstRtsp.RTSPHeaderField.INVALID` (0) –
No description available
`GstRtsp.RTSPHeaderField.ACCEPT` (1) –
No description available
`GstRtsp.RTSPHeaderField.ACCEPT_ENCODING` (2) –
No description available
`GstRtsp.RTSPHeaderField.ACCEPT_LANGUAGE` (3) –
No description available
`GstRtsp.RTSPHeaderField.ALLOW` (4) –
No description available
`GstRtsp.RTSPHeaderField.AUTHORIZATION` (5) –
No description available
`GstRtsp.RTSPHeaderField.BANDWIDTH` (6) –
No description available
`GstRtsp.RTSPHeaderField.BLOCKSIZE` (7) –
No description available
`GstRtsp.RTSPHeaderField.CACHE_CONTROL` (8) –
No description available
`GstRtsp.RTSPHeaderField.CONFERENCE` (9) –
No description available
`GstRtsp.RTSPHeaderField.CONNECTION` (10) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_BASE` (11) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_ENCODING` (12) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_LANGUAGE` (13) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_LENGTH` (14) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_LOCATION` (15) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_TYPE` (16) –
No description available
`GstRtsp.RTSPHeaderField.CSEQ` (17) –
No description available
`GstRtsp.RTSPHeaderField.DATE` (18) –
No description available
`GstRtsp.RTSPHeaderField.EXPIRES` (19) –
No description available
`GstRtsp.RTSPHeaderField.FROM` (20) –
No description available
`GstRtsp.RTSPHeaderField.IF_MODIFIED_SINCE` (21) –
No description available
`GstRtsp.RTSPHeaderField.LAST_MODIFIED` (22) –
No description available
`GstRtsp.RTSPHeaderField.PROXY_AUTHENTICATE` (23) –
No description available
`GstRtsp.RTSPHeaderField.PROXY_REQUIRE` (24) –
No description available
`GstRtsp.RTSPHeaderField.PUBLIC` (25) –
No description available
`GstRtsp.RTSPHeaderField.RANGE` (26) –
No description available
`GstRtsp.RTSPHeaderField.REFERER` (27) –
No description available
`GstRtsp.RTSPHeaderField.REQUIRE` (28) –
No description available
`GstRtsp.RTSPHeaderField.RETRY_AFTER` (29) –
No description available
`GstRtsp.RTSPHeaderField.RTP_INFO` (30) –
No description available
`GstRtsp.RTSPHeaderField.SCALE` (31) –
No description available
`GstRtsp.RTSPHeaderField.SESSION` (32) –
No description available
`GstRtsp.RTSPHeaderField.SERVER` (33) –
No description available
`GstRtsp.RTSPHeaderField.SPEED` (34) –
No description available
`GstRtsp.RTSPHeaderField.TRANSPORT` (35) –
No description available
`GstRtsp.RTSPHeaderField.UNSUPPORTED` (36) –
No description available
`GstRtsp.RTSPHeaderField.USER_AGENT` (37) –
No description available
`GstRtsp.RTSPHeaderField.VIA` (38) –
No description available
`GstRtsp.RTSPHeaderField.WWW_AUTHENTICATE` (39) –
No description available
`GstRtsp.RTSPHeaderField.CLIENT_CHALLENGE` (40) –
No description available
`GstRtsp.RTSPHeaderField.REAL_CHALLENGE1` (41) –
No description available
`GstRtsp.RTSPHeaderField.REAL_CHALLENGE2` (42) –
No description available
`GstRtsp.RTSPHeaderField.REAL_CHALLENGE3` (43) –
No description available
`GstRtsp.RTSPHeaderField.SUBSCRIBE` (44) –
No description available
`GstRtsp.RTSPHeaderField.ALERT` (45) –
No description available
`GstRtsp.RTSPHeaderField.CLIENT_ID` (46) –
No description available
`GstRtsp.RTSPHeaderField.COMPANY_ID` (47) –
No description available
`GstRtsp.RTSPHeaderField.GUID` (48) –
No description available
`GstRtsp.RTSPHeaderField.REGION_DATA` (49) –
No description available
`GstRtsp.RTSPHeaderField.MAX_ASM_WIDTH` (50) –
No description available
`GstRtsp.RTSPHeaderField.LANGUAGE` (51) –
No description available
`GstRtsp.RTSPHeaderField.PLAYER_START_TIME` (52) –
No description available
`GstRtsp.RTSPHeaderField.LOCATION` (53) –
No description available
`GstRtsp.RTSPHeaderField.ETAG` (54) –
No description available
`GstRtsp.RTSPHeaderField.IF_MATCH` (55) –
No description available
`GstRtsp.RTSPHeaderField.ACCEPT_CHARSET` (56) –
No description available
`GstRtsp.RTSPHeaderField.SUPPORTED` (57) –
No description available
`GstRtsp.RTSPHeaderField.VARY` (58) –
No description available
`GstRtsp.RTSPHeaderField.X_ACCELERATE_STREAMING` (59) –
No description available
`GstRtsp.RTSPHeaderField.X_ACCEPT_AUTHENT` (60) –
No description available
`GstRtsp.RTSPHeaderField.X_ACCEPT_PROXY_AUTHENT` (61) –
No description available
`GstRtsp.RTSPHeaderField.X_BROADCAST_ID` (62) –
No description available
`GstRtsp.RTSPHeaderField.X_BURST_STREAMING` (63) –
No description available
`GstRtsp.RTSPHeaderField.X_NOTICE` (64) –
No description available
`GstRtsp.RTSPHeaderField.X_PLAYER_LAG_TIME` (65) –
No description available
`GstRtsp.RTSPHeaderField.X_PLAYLIST` (66) –
No description available
`GstRtsp.RTSPHeaderField.X_PLAYLIST_CHANGE_NOTICE` (67) –
No description available
`GstRtsp.RTSPHeaderField.X_PLAYLIST_GEN_ID` (68) –
No description available
`GstRtsp.RTSPHeaderField.X_PLAYLIST_SEEK_ID` (69) –
No description available
`GstRtsp.RTSPHeaderField.X_PROXY_CLIENT_AGENT` (70) –
No description available
`GstRtsp.RTSPHeaderField.X_PROXY_CLIENT_VERB` (71) –
No description available
`GstRtsp.RTSPHeaderField.X_RECEDING_PLAYLISTCHANGE` (72) –
No description available
`GstRtsp.RTSPHeaderField.X_RTP_INFO` (73) –
No description available
`GstRtsp.RTSPHeaderField.X_STARTUPPROFILE` (74) –
No description available
`GstRtsp.RTSPHeaderField.TIMESTAMP` (75) –
No description available
`GstRtsp.RTSPHeaderField.AUTHENTICATION_INFO` (76) –
No description available
`GstRtsp.RTSPHeaderField.HOST` (77) –
No description available
`GstRtsp.RTSPHeaderField.PRAGMA` (78) –
No description available
`GstRtsp.RTSPHeaderField.X_SERVER_IP_ADDRESS` (79) –
No description available
`GstRtsp.RTSPHeaderField.X_SESSIONCOOKIE` (80) –
No description available
`GstRtsp.RTSPHeaderField.RTCP_INTERVAL` (81) –
No description available
`GstRtsp.RTSPHeaderField.KEYMGMT` (82) –
No description available
`GstRtsp.RTSPHeaderField.PIPELINED_REQUESTS` (83) –
No description available
`GstRtsp.RTSPHeaderField.MEDIA_PROPERTIES` (84) –
No description available
`GstRtsp.RTSPHeaderField.SEEK_STYLE` (85) –
No description available
`GstRtsp.RTSPHeaderField.ACCEPT_RANGES` (86) –
No description available
`GstRtsp.RTSPHeaderField.FRAMES` (87) –
No description available
`GstRtsp.RTSPHeaderField.RATE_CONTROL` (88) –
No description available
`GstRtsp.RTSPHeaderField.LAST` (89) –
No description available

### GstRtsp.RTSPHeaderField

Enumeration of rtsp header fields

##### Members

`GstRtsp.RTSPHeaderField.INVALID` (0) –
No description available
`GstRtsp.RTSPHeaderField.ACCEPT` (1) –
No description available
`GstRtsp.RTSPHeaderField.ACCEPT_ENCODING` (2) –
No description available
`GstRtsp.RTSPHeaderField.ACCEPT_LANGUAGE` (3) –
No description available
`GstRtsp.RTSPHeaderField.ALLOW` (4) –
No description available
`GstRtsp.RTSPHeaderField.AUTHORIZATION` (5) –
No description available
`GstRtsp.RTSPHeaderField.BANDWIDTH` (6) –
No description available
`GstRtsp.RTSPHeaderField.BLOCKSIZE` (7) –
No description available
`GstRtsp.RTSPHeaderField.CACHE_CONTROL` (8) –
No description available
`GstRtsp.RTSPHeaderField.CONFERENCE` (9) –
No description available
`GstRtsp.RTSPHeaderField.CONNECTION` (10) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_BASE` (11) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_ENCODING` (12) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_LANGUAGE` (13) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_LENGTH` (14) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_LOCATION` (15) –
No description available
`GstRtsp.RTSPHeaderField.CONTENT_TYPE` (16) –
No description available
`GstRtsp.RTSPHeaderField.CSEQ` (17) –
No description available
`GstRtsp.RTSPHeaderField.DATE` (18) –
No description available
`GstRtsp.RTSPHeaderField.EXPIRES` (19) –
No description available
`GstRtsp.RTSPHeaderField.FROM` (20) –
No description available
`GstRtsp.RTSPHeaderField.IF_MODIFIED_SINCE` (21) –
No description available
`GstRtsp.RTSPHeaderField.LAST_MODIFIED` (22) –
No description available
`GstRtsp.RTSPHeaderField.PROXY_AUTHENTICATE` (23) –
No description available
`GstRtsp.RTSPHeaderField.PROXY_REQUIRE` (24) –
No description available
`GstRtsp.RTSPHeaderField.PUBLIC` (25) –
No description available
`GstRtsp.RTSPHeaderField.RANGE` (26) –
No description available
`GstRtsp.RTSPHeaderField.REFERER` (27) –
No description available
`GstRtsp.RTSPHeaderField.REQUIRE` (28) –
No description available
`GstRtsp.RTSPHeaderField.RETRY_AFTER` (29) –
No description available
`GstRtsp.RTSPHeaderField.RTP_INFO` (30) –
No description available
`GstRtsp.RTSPHeaderField.SCALE` (31) –
No description available
`GstRtsp.RTSPHeaderField.SESSION` (32) –
No description available
`GstRtsp.RTSPHeaderField.SERVER` (33) –
No description available
`GstRtsp.RTSPHeaderField.SPEED` (34) –
No description available
`GstRtsp.RTSPHeaderField.TRANSPORT` (35) –
No description available
`GstRtsp.RTSPHeaderField.UNSUPPORTED` (36) –
No description available
`GstRtsp.RTSPHeaderField.USER_AGENT` (37) –
No description available
`GstRtsp.RTSPHeaderField.VIA` (38) –
No description available
`GstRtsp.RTSPHeaderField.WWW_AUTHENTICATE` (39) –
No description available
`GstRtsp.RTSPHeaderField.CLIENT_CHALLENGE` (40) –
No description available
`GstRtsp.RTSPHeaderField.REAL_CHALLENGE1` (41) –
No description available
`GstRtsp.RTSPHeaderField.REAL_CHALLENGE2` (42) –
No description available
`GstRtsp.RTSPHeaderField.REAL_CHALLENGE3` (43) –
No description available
`GstRtsp.RTSPHeaderField.SUBSCRIBE` (44) –
No description available
`GstRtsp.RTSPHeaderField.ALERT` (45) –
No description available
`GstRtsp.RTSPHeaderField.CLIENT_ID` (46) –
No description available
`GstRtsp.RTSPHeaderField.COMPANY_ID` (47) –
No description available
`GstRtsp.RTSPHeaderField.GUID` (48) –
No description available
`GstRtsp.RTSPHeaderField.REGION_DATA` (49) –
No description available
`GstRtsp.RTSPHeaderField.MAX_ASM_WIDTH` (50) –
No description available
`GstRtsp.RTSPHeaderField.LANGUAGE` (51) –
No description available
`GstRtsp.RTSPHeaderField.PLAYER_START_TIME` (52) –
No description available
`GstRtsp.RTSPHeaderField.LOCATION` (53) –
No description available
`GstRtsp.RTSPHeaderField.ETAG` (54) –
No description available
`GstRtsp.RTSPHeaderField.IF_MATCH` (55) –
No description available
`GstRtsp.RTSPHeaderField.ACCEPT_CHARSET` (56) –
No description available
`GstRtsp.RTSPHeaderField.SUPPORTED` (57) –
No description available
`GstRtsp.RTSPHeaderField.VARY` (58) –
No description available
`GstRtsp.RTSPHeaderField.X_ACCELERATE_STREAMING` (59) –
No description available
`GstRtsp.RTSPHeaderField.X_ACCEPT_AUTHENT` (60) –
No description available
`GstRtsp.RTSPHeaderField.X_ACCEPT_PROXY_AUTHENT` (61) –
No description available
`GstRtsp.RTSPHeaderField.X_BROADCAST_ID` (62) –
No description available
`GstRtsp.RTSPHeaderField.X_BURST_STREAMING` (63) –
No description available
`GstRtsp.RTSPHeaderField.X_NOTICE` (64) –
No description available
`GstRtsp.RTSPHeaderField.X_PLAYER_LAG_TIME` (65) –
No description available
`GstRtsp.RTSPHeaderField.X_PLAYLIST` (66) –
No description available
`GstRtsp.RTSPHeaderField.X_PLAYLIST_CHANGE_NOTICE` (67) –
No description available
`GstRtsp.RTSPHeaderField.X_PLAYLIST_GEN_ID` (68) –
No description available
`GstRtsp.RTSPHeaderField.X_PLAYLIST_SEEK_ID` (69) –
No description available
`GstRtsp.RTSPHeaderField.X_PROXY_CLIENT_AGENT` (70) –
No description available
`GstRtsp.RTSPHeaderField.X_PROXY_CLIENT_VERB` (71) –
No description available
`GstRtsp.RTSPHeaderField.X_RECEDING_PLAYLISTCHANGE` (72) –
No description available
`GstRtsp.RTSPHeaderField.X_RTP_INFO` (73) –
No description available
`GstRtsp.RTSPHeaderField.X_STARTUPPROFILE` (74) –
No description available
`GstRtsp.RTSPHeaderField.TIMESTAMP` (75) –
No description available
`GstRtsp.RTSPHeaderField.AUTHENTICATION_INFO` (76) –
No description available
`GstRtsp.RTSPHeaderField.HOST` (77) –
No description available
`GstRtsp.RTSPHeaderField.PRAGMA` (78) –
No description available
`GstRtsp.RTSPHeaderField.X_SERVER_IP_ADDRESS` (79) –
No description available
`GstRtsp.RTSPHeaderField.X_SESSIONCOOKIE` (80) –
No description available
`GstRtsp.RTSPHeaderField.RTCP_INTERVAL` (81) –
No description available
`GstRtsp.RTSPHeaderField.KEYMGMT` (82) –
No description available
`GstRtsp.RTSPHeaderField.PIPELINED_REQUESTS` (83) –
No description available
`GstRtsp.RTSPHeaderField.MEDIA_PROPERTIES` (84) –
No description available
`GstRtsp.RTSPHeaderField.SEEK_STYLE` (85) –
No description available
`GstRtsp.RTSPHeaderField.ACCEPT_RANGES` (86) –
No description available
`GstRtsp.RTSPHeaderField.FRAMES` (87) –
No description available
`GstRtsp.RTSPHeaderField.RATE_CONTROL` (88) –
No description available
`GstRtsp.RTSPHeaderField.LAST` (89) –
No description available

### GstRTSPMethod

The different supported RTSP methods.

##### Members

`GST_RTSP_INVALID` (0) –

invalid method

`GST_RTSP_DESCRIBE` (1) –

the DESCRIBE method

`GST_RTSP_ANNOUNCE` (2) –

the ANNOUNCE method

`GST_RTSP_GET_PARAMETER` (4) –

the GET_PARAMETER method

`GST_RTSP_OPTIONS` (8) –

the OPTIONS method

`GST_RTSP_PAUSE` (16) –

the PAUSE method

`GST_RTSP_PLAY` (32) –

the PLAY method

`GST_RTSP_RECORD` (64) –

the RECORD method

`GST_RTSP_REDIRECT` (128) –

the REDIRECT method

`GST_RTSP_SETUP` (256) –

the SETUP method

`GST_RTSP_SET_PARAMETER` (512) –

the SET_PARAMETER method

`GST_RTSP_TEARDOWN` (1024) –

the TEARDOWN method

`GST_RTSP_GET` (2048) –

the GET method (HTTP).

`GST_RTSP_POST` (4096) –

the POST method (HTTP).

### GstRtsp.RTSPMethod

The different supported RTSP methods.

##### Members

`GstRtsp.RTSPMethod.INVALID` (0) –

invalid method

`GstRtsp.RTSPMethod.DESCRIBE` (1) –

the DESCRIBE method

`GstRtsp.RTSPMethod.ANNOUNCE` (2) –

the ANNOUNCE method

`GstRtsp.RTSPMethod.GET_PARAMETER` (4) –

the GET_PARAMETER method

`GstRtsp.RTSPMethod.OPTIONS` (8) –

the OPTIONS method

`GstRtsp.RTSPMethod.PAUSE` (16) –

the PAUSE method

`GstRtsp.RTSPMethod.PLAY` (32) –

the PLAY method

`GstRtsp.RTSPMethod.RECORD` (64) –

the RECORD method

`GstRtsp.RTSPMethod.REDIRECT` (128) –

the REDIRECT method

`GstRtsp.RTSPMethod.SETUP` (256) –

the SETUP method

`GstRtsp.RTSPMethod.SET_PARAMETER` (512) –

the SET_PARAMETER method

`GstRtsp.RTSPMethod.TEARDOWN` (1024) –

the TEARDOWN method

`GstRtsp.RTSPMethod.GET` (2048) –

the GET method (HTTP).

`GstRtsp.RTSPMethod.POST` (4096) –

the POST method (HTTP).

### GstRtsp.RTSPMethod

The different supported RTSP methods.

##### Members

`GstRtsp.RTSPMethod.INVALID` (0) –

invalid method

`GstRtsp.RTSPMethod.DESCRIBE` (1) –

the DESCRIBE method

`GstRtsp.RTSPMethod.ANNOUNCE` (2) –

the ANNOUNCE method

`GstRtsp.RTSPMethod.GET_PARAMETER` (4) –

the GET_PARAMETER method

`GstRtsp.RTSPMethod.OPTIONS` (8) –

the OPTIONS method

`GstRtsp.RTSPMethod.PAUSE` (16) –

the PAUSE method

`GstRtsp.RTSPMethod.PLAY` (32) –

the PLAY method

`GstRtsp.RTSPMethod.RECORD` (64) –

the RECORD method

`GstRtsp.RTSPMethod.REDIRECT` (128) –

the REDIRECT method

`GstRtsp.RTSPMethod.SETUP` (256) –

the SETUP method

`GstRtsp.RTSPMethod.SET_PARAMETER` (512) –

the SET_PARAMETER method

`GstRtsp.RTSPMethod.TEARDOWN` (1024) –

the TEARDOWN method

`GstRtsp.RTSPMethod.GET` (2048) –

the GET method (HTTP).

`GstRtsp.RTSPMethod.POST` (4096) –

the POST method (HTTP).

### GstRTSPResult

Result codes from the RTSP functions.

##### Members

`GST_RTSP_OK` (0) –

no error

`GST_RTSP_OK_REDIRECT` (1) –

RTSP request is successful, but was redirected.

(Since: 1.24)
`GST_RTSP_ERROR` (-1) –

some unspecified error occurred

`GST_RTSP_EINVAL` (-2) –

invalid arguments were provided to a function

`GST_RTSP_EINTR` (-3) –

an operation was canceled

`GST_RTSP_ENOMEM` (-4) –

no memory was available for the operation

`GST_RTSP_ERESOLV` (-5) –

a host resolve error occurred

`GST_RTSP_ENOTIMPL` (-6) –

function not implemented

`GST_RTSP_ESYS` (-7) –

a system error occurred, errno contains more details

`GST_RTSP_EPARSE` (-8) –

a parsing error occurred

`GST_RTSP_EWSASTART` (-9) –

windows networking could not start

`GST_RTSP_EWSAVERSION` (-10) –

windows networking stack has wrong version

`GST_RTSP_EEOF` (-11) –

end-of-file was reached

`GST_RTSP_ENET` (-12) –

a network problem occurred, h_errno contains more details

`GST_RTSP_ENOTIP` (-13) –

the host is not an IP host

`GST_RTSP_ETIMEOUT` (-14) –

a timeout occurred

`GST_RTSP_ETGET` (-15) –

the tunnel GET request has been performed

`GST_RTSP_ETPOST` (-16) –

the tunnel POST request has been performed

`GST_RTSP_ELAST` (-17) –

last error

### GstRtsp.RTSPResult

Result codes from the RTSP functions.

##### Members

`GstRtsp.RTSPResult.OK` (0) –

no error

`GstRtsp.RTSPResult.OK_REDIRECT` (1) –

RTSP request is successful, but was redirected.

(Since: 1.24)
`GstRtsp.RTSPResult.ERROR` (-1) –

some unspecified error occurred

`GstRtsp.RTSPResult.EINVAL` (-2) –

invalid arguments were provided to a function

`GstRtsp.RTSPResult.EINTR` (-3) –

an operation was canceled

`GstRtsp.RTSPResult.ENOMEM` (-4) –

no memory was available for the operation

`GstRtsp.RTSPResult.ERESOLV` (-5) –

a host resolve error occurred

`GstRtsp.RTSPResult.ENOTIMPL` (-6) –

function not implemented

`GstRtsp.RTSPResult.ESYS` (-7) –

a system error occurred, errno contains more details

`GstRtsp.RTSPResult.EPARSE` (-8) –

a parsing error occurred

`GstRtsp.RTSPResult.EWSASTART` (-9) –

windows networking could not start

`GstRtsp.RTSPResult.EWSAVERSION` (-10) –

windows networking stack has wrong version

`GstRtsp.RTSPResult.EEOF` (-11) –

end-of-file was reached

`GstRtsp.RTSPResult.ENET` (-12) –

a network problem occurred, h_errno contains more details

`GstRtsp.RTSPResult.ENOTIP` (-13) –

the host is not an IP host

`GstRtsp.RTSPResult.ETIMEOUT` (-14) –

a timeout occurred

`GstRtsp.RTSPResult.ETGET` (-15) –

the tunnel GET request has been performed

`GstRtsp.RTSPResult.ETPOST` (-16) –

the tunnel POST request has been performed

`GstRtsp.RTSPResult.ELAST` (-17) –

last error

### GstRtsp.RTSPResult

Result codes from the RTSP functions.

##### Members

`GstRtsp.RTSPResult.OK` (0) –

no error

`GstRtsp.RTSPResult.OK_REDIRECT` (1) –

RTSP request is successful, but was redirected.

(Since: 1.24)
`GstRtsp.RTSPResult.ERROR` (-1) –

some unspecified error occurred

`GstRtsp.RTSPResult.EINVAL` (-2) –

invalid arguments were provided to a function

`GstRtsp.RTSPResult.EINTR` (-3) –

an operation was canceled

`GstRtsp.RTSPResult.ENOMEM` (-4) –

no memory was available for the operation

`GstRtsp.RTSPResult.ERESOLV` (-5) –

a host resolve error occurred

`GstRtsp.RTSPResult.ENOTIMPL` (-6) –

function not implemented

`GstRtsp.RTSPResult.ESYS` (-7) –

a system error occurred, errno contains more details

`GstRtsp.RTSPResult.EPARSE` (-8) –

a parsing error occurred

`GstRtsp.RTSPResult.EWSASTART` (-9) –

windows networking could not start

`GstRtsp.RTSPResult.EWSAVERSION` (-10) –

windows networking stack has wrong version

`GstRtsp.RTSPResult.EEOF` (-11) –

end-of-file was reached

`GstRtsp.RTSPResult.ENET` (-12) –

a network problem occurred, h_errno contains more details

`GstRtsp.RTSPResult.ENOTIP` (-13) –

the host is not an IP host

`GstRtsp.RTSPResult.ETIMEOUT` (-14) –

a timeout occurred

`GstRtsp.RTSPResult.ETGET` (-15) –

the tunnel GET request has been performed

`GstRtsp.RTSPResult.ETPOST` (-16) –

the tunnel POST request has been performed

`GstRtsp.RTSPResult.ELAST` (-17) –

last error

### GstRTSPState

The different RTSP states.

##### Members

`GST_RTSP_STATE_INVALID` (0) –

invalid state

`GST_RTSP_STATE_INIT` (1) –

initializing

`GST_RTSP_STATE_READY` (2) –

ready for operation

`GST_RTSP_STATE_SEEKING` (3) –

seeking in progress

`GST_RTSP_STATE_PLAYING` (4) –

playing

`GST_RTSP_STATE_RECORDING` (5) –

recording

### GstRtsp.RTSPState

The different RTSP states.

##### Members

`GstRtsp.RTSPState.INVALID` (0) –

invalid state

`GstRtsp.RTSPState.INIT` (1) –

initializing

`GstRtsp.RTSPState.READY` (2) –

ready for operation

`GstRtsp.RTSPState.SEEKING` (3) –

seeking in progress

`GstRtsp.RTSPState.PLAYING` (4) –

playing

`GstRtsp.RTSPState.RECORDING` (5) –

recording

### GstRtsp.RTSPState

The different RTSP states.

##### Members

`GstRtsp.RTSPState.INVALID` (0) –

invalid state

`GstRtsp.RTSPState.INIT` (1) –

initializing

`GstRtsp.RTSPState.READY` (2) –

ready for operation

`GstRtsp.RTSPState.SEEKING` (3) –

seeking in progress

`GstRtsp.RTSPState.PLAYING` (4) –

playing

`GstRtsp.RTSPState.RECORDING` (5) –

recording

### GstRTSPStatusCode

Enumeration of rtsp status codes

##### Members

`GST_RTSP_STS_INVALID` (0) –
No description available
`GST_RTSP_STS_CONTINUE` (100) –
No description available
`GST_RTSP_STS_OK` (200) –
No description available
`GST_RTSP_STS_CREATED` (201) –
No description available
`GST_RTSP_STS_LOW_ON_STORAGE` (250) –
No description available
`GST_RTSP_STS_MULTIPLE_CHOICES` (300) –
No description available
`GST_RTSP_STS_MOVED_PERMANENTLY` (301) –
No description available
`GST_RTSP_STS_MOVE_TEMPORARILY` (302) –
No description available
`GST_RTSP_STS_SEE_OTHER` (303) –
No description available
`GST_RTSP_STS_NOT_MODIFIED` (304) –
No description available
`GST_RTSP_STS_USE_PROXY` (305) –
No description available
`GST_RTSP_STS_REDIRECT_TEMPORARILY` (307) –

RTSP request is temporarily redirected

(Since: 1.24)
`GST_RTSP_STS_REDIRECT_PERMANENTLY` (308) –

RTSP request is permanently redirected

(Since: 1.24)
`GST_RTSP_STS_BAD_REQUEST` (400) –
No description available
`GST_RTSP_STS_UNAUTHORIZED` (401) –
No description available
`GST_RTSP_STS_PAYMENT_REQUIRED` (402) –
No description available
`GST_RTSP_STS_FORBIDDEN` (403) –
No description available
`GST_RTSP_STS_NOT_FOUND` (404) –
No description available
`GST_RTSP_STS_METHOD_NOT_ALLOWED` (405) –
No description available
`GST_RTSP_STS_NOT_ACCEPTABLE` (406) –
No description available
`GST_RTSP_STS_PROXY_AUTH_REQUIRED` (407) –
No description available
`GST_RTSP_STS_REQUEST_TIMEOUT` (408) –
No description available
`GST_RTSP_STS_GONE` (410) –
No description available
`GST_RTSP_STS_LENGTH_REQUIRED` (411) –
No description available
`GST_RTSP_STS_PRECONDITION_FAILED` (412) –
No description available
`GST_RTSP_STS_REQUEST_ENTITY_TOO_LARGE` (413) –
No description available
`GST_RTSP_STS_REQUEST_URI_TOO_LARGE` (414) –
No description available
`GST_RTSP_STS_UNSUPPORTED_MEDIA_TYPE` (415) –
No description available
`GST_RTSP_STS_PARAMETER_NOT_UNDERSTOOD` (451) –
No description available
`GST_RTSP_STS_CONFERENCE_NOT_FOUND` (452) –
No description available
`GST_RTSP_STS_NOT_ENOUGH_BANDWIDTH` (453) –
No description available
`GST_RTSP_STS_SESSION_NOT_FOUND` (454) –
No description available
`GST_RTSP_STS_METHOD_NOT_VALID_IN_THIS_STATE` (455) –
No description available
`GST_RTSP_STS_HEADER_FIELD_NOT_VALID_FOR_RESOURCE` (456) –
No description available
`GST_RTSP_STS_INVALID_RANGE` (457) –
No description available
`GST_RTSP_STS_PARAMETER_IS_READONLY` (458) –
No description available
`GST_RTSP_STS_AGGREGATE_OPERATION_NOT_ALLOWED` (459) –
No description available
`GST_RTSP_STS_ONLY_AGGREGATE_OPERATION_ALLOWED` (460) –
No description available
`GST_RTSP_STS_UNSUPPORTED_TRANSPORT` (461) –
No description available
`GST_RTSP_STS_DESTINATION_UNREACHABLE` (462) –
No description available
`GST_RTSP_STS_KEY_MANAGEMENT_FAILURE` (463) –
No description available
`GST_RTSP_STS_INTERNAL_SERVER_ERROR` (500) –
No description available
`GST_RTSP_STS_NOT_IMPLEMENTED` (501) –
No description available
`GST_RTSP_STS_BAD_GATEWAY` (502) –
No description available
`GST_RTSP_STS_SERVICE_UNAVAILABLE` (503) –
No description available
`GST_RTSP_STS_GATEWAY_TIMEOUT` (504) –
No description available
`GST_RTSP_STS_RTSP_VERSION_NOT_SUPPORTED` (505) –
No description available
`GST_RTSP_STS_OPTION_NOT_SUPPORTED` (551) –
No description available

### GstRtsp.RTSPStatusCode

Enumeration of rtsp status codes

##### Members

`GstRtsp.RTSPStatusCode.INVALID` (0) –
No description available
`GstRtsp.RTSPStatusCode.CONTINUE` (100) –
No description available
`GstRtsp.RTSPStatusCode.OK` (200) –
No description available
`GstRtsp.RTSPStatusCode.CREATED` (201) –
No description available
`GstRtsp.RTSPStatusCode.LOW_ON_STORAGE` (250) –
No description available
`GstRtsp.RTSPStatusCode.MULTIPLE_CHOICES` (300) –
No description available
`GstRtsp.RTSPStatusCode.MOVED_PERMANENTLY` (301) –
No description available
`GstRtsp.RTSPStatusCode.MOVE_TEMPORARILY` (302) –
No description available
`GstRtsp.RTSPStatusCode.SEE_OTHER` (303) –
No description available
`GstRtsp.RTSPStatusCode.NOT_MODIFIED` (304) –
No description available
`GstRtsp.RTSPStatusCode.USE_PROXY` (305) –
No description available
`GstRtsp.RTSPStatusCode.REDIRECT_TEMPORARILY` (307) –

RTSP request is temporarily redirected

(Since: 1.24)
`GstRtsp.RTSPStatusCode.REDIRECT_PERMANENTLY` (308) –

RTSP request is permanently redirected

(Since: 1.24)
`GstRtsp.RTSPStatusCode.BAD_REQUEST` (400) –
No description available
`GstRtsp.RTSPStatusCode.UNAUTHORIZED` (401) –
No description available
`GstRtsp.RTSPStatusCode.PAYMENT_REQUIRED` (402) –
No description available
`GstRtsp.RTSPStatusCode.FORBIDDEN` (403) –
No description available
`GstRtsp.RTSPStatusCode.NOT_FOUND` (404) –
No description available
`GstRtsp.RTSPStatusCode.METHOD_NOT_ALLOWED` (405) –
No description available
`GstRtsp.RTSPStatusCode.NOT_ACCEPTABLE` (406) –
No description available
`GstRtsp.RTSPStatusCode.PROXY_AUTH_REQUIRED` (407) –
No description available
`GstRtsp.RTSPStatusCode.REQUEST_TIMEOUT` (408) –
No description available
`GstRtsp.RTSPStatusCode.GONE` (410) –
No description available
`GstRtsp.RTSPStatusCode.LENGTH_REQUIRED` (411) –
No description available
`GstRtsp.RTSPStatusCode.PRECONDITION_FAILED` (412) –
No description available
`GstRtsp.RTSPStatusCode.REQUEST_ENTITY_TOO_LARGE` (413) –
No description available
`GstRtsp.RTSPStatusCode.REQUEST_URI_TOO_LARGE` (414) –
No description available
`GstRtsp.RTSPStatusCode.UNSUPPORTED_MEDIA_TYPE` (415) –
No description available
`GstRtsp.RTSPStatusCode.PARAMETER_NOT_UNDERSTOOD` (451) –
No description available
`GstRtsp.RTSPStatusCode.CONFERENCE_NOT_FOUND` (452) –
No description available
`GstRtsp.RTSPStatusCode.NOT_ENOUGH_BANDWIDTH` (453) –
No description available
`GstRtsp.RTSPStatusCode.SESSION_NOT_FOUND` (454) –
No description available
`GstRtsp.RTSPStatusCode.METHOD_NOT_VALID_IN_THIS_STATE` (455) –
No description available
`GstRtsp.RTSPStatusCode.HEADER_FIELD_NOT_VALID_FOR_RESOURCE` (456) –
No description available
`GstRtsp.RTSPStatusCode.INVALID_RANGE` (457) –
No description available
`GstRtsp.RTSPStatusCode.PARAMETER_IS_READONLY` (458) –
No description available
`GstRtsp.RTSPStatusCode.AGGREGATE_OPERATION_NOT_ALLOWED` (459) –
No description available
`GstRtsp.RTSPStatusCode.ONLY_AGGREGATE_OPERATION_ALLOWED` (460) –
No description available
`GstRtsp.RTSPStatusCode.UNSUPPORTED_TRANSPORT` (461) –
No description available
`GstRtsp.RTSPStatusCode.DESTINATION_UNREACHABLE` (462) –
No description available
`GstRtsp.RTSPStatusCode.KEY_MANAGEMENT_FAILURE` (463) –
No description available
`GstRtsp.RTSPStatusCode.INTERNAL_SERVER_ERROR` (500) –
No description available
`GstRtsp.RTSPStatusCode.NOT_IMPLEMENTED` (501) –
No description available
`GstRtsp.RTSPStatusCode.BAD_GATEWAY` (502) –
No description available
`GstRtsp.RTSPStatusCode.SERVICE_UNAVAILABLE` (503) –
No description available
`GstRtsp.RTSPStatusCode.GATEWAY_TIMEOUT` (504) –
No description available
`GstRtsp.RTSPStatusCode.RTSP_VERSION_NOT_SUPPORTED` (505) –
No description available
`GstRtsp.RTSPStatusCode.OPTION_NOT_SUPPORTED` (551) –
No description available

### GstRtsp.RTSPStatusCode

Enumeration of rtsp status codes

##### Members

`GstRtsp.RTSPStatusCode.INVALID` (0) –
No description available
`GstRtsp.RTSPStatusCode.CONTINUE` (100) –
No description available
`GstRtsp.RTSPStatusCode.OK` (200) –
No description available
`GstRtsp.RTSPStatusCode.CREATED` (201) –
No description available
`GstRtsp.RTSPStatusCode.LOW_ON_STORAGE` (250) –
No description available
`GstRtsp.RTSPStatusCode.MULTIPLE_CHOICES` (300) –
No description available
`GstRtsp.RTSPStatusCode.MOVED_PERMANENTLY` (301) –
No description available
`GstRtsp.RTSPStatusCode.MOVE_TEMPORARILY` (302) –
No description available
`GstRtsp.RTSPStatusCode.SEE_OTHER` (303) –
No description available
`GstRtsp.RTSPStatusCode.NOT_MODIFIED` (304) –
No description available
`GstRtsp.RTSPStatusCode.USE_PROXY` (305) –
No description available
`GstRtsp.RTSPStatusCode.REDIRECT_TEMPORARILY` (307) –

RTSP request is temporarily redirected

(Since: 1.24)
`GstRtsp.RTSPStatusCode.REDIRECT_PERMANENTLY` (308) –

RTSP request is permanently redirected

(Since: 1.24)
`GstRtsp.RTSPStatusCode.BAD_REQUEST` (400) –
No description available
`GstRtsp.RTSPStatusCode.UNAUTHORIZED` (401) –
No description available
`GstRtsp.RTSPStatusCode.PAYMENT_REQUIRED` (402) –
No description available
`GstRtsp.RTSPStatusCode.FORBIDDEN` (403) –
No description available
`GstRtsp.RTSPStatusCode.NOT_FOUND` (404) –
No description available
`GstRtsp.RTSPStatusCode.METHOD_NOT_ALLOWED` (405) –
No description available
`GstRtsp.RTSPStatusCode.NOT_ACCEPTABLE` (406) –
No description available
`GstRtsp.RTSPStatusCode.PROXY_AUTH_REQUIRED` (407) –
No description available
`GstRtsp.RTSPStatusCode.REQUEST_TIMEOUT` (408) –
No description available
`GstRtsp.RTSPStatusCode.GONE` (410) –
No description available
`GstRtsp.RTSPStatusCode.LENGTH_REQUIRED` (411) –
No description available
`GstRtsp.RTSPStatusCode.PRECONDITION_FAILED` (412) –
No description available
`GstRtsp.RTSPStatusCode.REQUEST_ENTITY_TOO_LARGE` (413) –
No description available
`GstRtsp.RTSPStatusCode.REQUEST_URI_TOO_LARGE` (414) –
No description available
`GstRtsp.RTSPStatusCode.UNSUPPORTED_MEDIA_TYPE` (415) –
No description available
`GstRtsp.RTSPStatusCode.PARAMETER_NOT_UNDERSTOOD` (451) –
No description available
`GstRtsp.RTSPStatusCode.CONFERENCE_NOT_FOUND` (452) –
No description available
`GstRtsp.RTSPStatusCode.NOT_ENOUGH_BANDWIDTH` (453) –
No description available
`GstRtsp.RTSPStatusCode.SESSION_NOT_FOUND` (454) –
No description available
`GstRtsp.RTSPStatusCode.METHOD_NOT_VALID_IN_THIS_STATE` (455) –
No description available
`GstRtsp.RTSPStatusCode.HEADER_FIELD_NOT_VALID_FOR_RESOURCE` (456) –
No description available
`GstRtsp.RTSPStatusCode.INVALID_RANGE` (457) –
No description available
`GstRtsp.RTSPStatusCode.PARAMETER_IS_READONLY` (458) –
No description available
`GstRtsp.RTSPStatusCode.AGGREGATE_OPERATION_NOT_ALLOWED` (459) –
No description available
`GstRtsp.RTSPStatusCode.ONLY_AGGREGATE_OPERATION_ALLOWED` (460) –
No description available
`GstRtsp.RTSPStatusCode.UNSUPPORTED_TRANSPORT` (461) –
No description available
`GstRtsp.RTSPStatusCode.DESTINATION_UNREACHABLE` (462) –
No description available
`GstRtsp.RTSPStatusCode.KEY_MANAGEMENT_FAILURE` (463) –
No description available
`GstRtsp.RTSPStatusCode.INTERNAL_SERVER_ERROR` (500) –
No description available
`GstRtsp.RTSPStatusCode.NOT_IMPLEMENTED` (501) –
No description available
`GstRtsp.RTSPStatusCode.BAD_GATEWAY` (502) –
No description available
`GstRtsp.RTSPStatusCode.SERVICE_UNAVAILABLE` (503) –
No description available
`GstRtsp.RTSPStatusCode.GATEWAY_TIMEOUT` (504) –
No description available
`GstRtsp.RTSPStatusCode.RTSP_VERSION_NOT_SUPPORTED` (505) –
No description available
`GstRtsp.RTSPStatusCode.OPTION_NOT_SUPPORTED` (551) –
No description available

### GstRTSPVersion

The supported RTSP versions.

##### Members

`GST_RTSP_VERSION_INVALID` (0) –

unknown/invalid version

`GST_RTSP_VERSION_1_0` (16) –

version 1.0

`GST_RTSP_VERSION_1_1` (17) –

version 1.1.

`GST_RTSP_VERSION_2_0` (32) –

version 2.0.

### GstRtsp.RTSPVersion

The supported RTSP versions.

##### Members

`GstRtsp.RTSPVersion.INVALID` (0) –

unknown/invalid version

`GstRtsp.RTSPVersion.1_0` (16) –

version 1.0

`GstRtsp.RTSPVersion.1_1` (17) –

version 1.1.

`GstRtsp.RTSPVersion.2_0` (32) –

version 2.0.

### GstRtsp.RTSPVersion

The supported RTSP versions.

##### Members

`GstRtsp.RTSPVersion.INVALID` (0) –

unknown/invalid version

`GstRtsp.RTSPVersion.1_0` (16) –

version 1.0

`GstRtsp.RTSPVersion.1_1` (17) –

version 1.1.

`GstRtsp.RTSPVersion.2_0` (32) –

version 2.0.

## Constants

### GST_RTSP_AUTH_MAX

    #define GST_RTSP_AUTH_MAX GST_RTSP_AUTH_DIGEST

Strongest available authentication method

The results of the search are